/**Begin E:\NextERP_PDM\PDM_UPGRADE\PDMS\branch_lastest\pdm\BCM_table.sql **/
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_BCM_ADJUSTTEMPLATE' AND KSQL_COL_NAME ='FSPREADDIM') 
 ALTER TABLE T_BCM_ADJUSTTEMPLATE ADD (FSPREADDIM VARCHAR(200) DEFAULT ' ' NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_BCM_BATCHCHILDCONFIGSET_L') 
 CREATE TABLE T_BCM_BATCHCHILDCONFIGSET_L (
FPKID NVARCHAR(50) DEFAULT ' ' NOT NULL,
FENTRYID BIGINT DEFAULT 0 NOT NULL,
FLOCALEID NVARCHAR(10) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_BCM_INVELIMTEMPLATE' AND KSQL_COL_NAME ='FISCVTALONE') 
 ALTER TABLE T_BCM_INVELIMTEMPLATE ADD (FISCVTALONE CHAR(1) DEFAULT '0' NOT NULL );

/**End E:\NextERP_PDM\PDM_UPGRADE\PDMS\branch_lastest\pdm\BCM_table.sql **/
